com.sleepycat.persist.model

## Class ModelInternal

- java.lang.Object
- - com.sleepycat.persist.model.ModelInternal

    public class ModelInternal
    extends java.lang.Object

Internal access class that should not be used by applications.

### Constructor Summary

Constructors
Constructor and Description
`ModelInternal()`

### Method Summary

Methods
`static java.lang.ClassLoader` `getClassLoader(EntityModel model)` Internal access method that should not be used by applications.
`static void` `setCatalog(EntityModel model, com.sleepycat.persist.impl.PersistCatalog catalog)` Internal access method that should not be used by applications.
`static void` `setClassLoader(EntityModel model, java.lang.ClassLoader loader)` Internal access method that should not be used by applications.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelInternal

    public ModelInternal()

### Method Detail

#### setCatalog

    public static void setCatalog(EntityModel model,
                  com.sleepycat.persist.impl.PersistCatalog catalog)

Internal access method that should not be used by applications.

#### setClassLoader

    public static void setClassLoader(EntityModel model,
                      java.lang.ClassLoader loader)

Internal access method that should not be used by applications.

#### getClassLoader

    public static java.lang.ClassLoader getClassLoader(EntityModel model)

Internal access method that should not be used by applications.